AppdefSessionUtil (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.AppdefSessionUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class AppdefSessionUtil

    java.lang.Object
      org.hyperic.hq.appdef.server.session.AppdefSessionUtil

Direct Known Subclasses:
  AppdefSessionEJB, CPropManagerEJBImpl

    public abstract class AppdefSessionUtil

extends java.lang.Object

Constructor Summary
`AppdefSessionUtil()`

Method Summary
`protected AppdefResourceType` | `findResourceType(int appdefType, int appdefTypeId)`
`protected AppdefResourceType` | `findResourceType(TypeInfo info)`
`protected AgentDAO` | `getAgentDAO()`
`protected org.hyperic.hq.appdef.shared.AIQueueManagerLocal` | `getAIQManagerLocal()`
`protected ApplicationDAO` | `getApplicationDAO()`
`protected org.hyperic.hq.appdef.shared.ApplicationManagerLocal` | `getApplicationManager()`
`protected org.hyperic.hq.appdef.shared.ConfigManagerLocal` | `getConfigManager()`
`protected ConfigResponseDAO` | `getConfigResponseDAO()`
`protected org.hyperic.hq.appdef.shared.CPropManagerLocal` | `getCPropManager()`
`protected PlatformDAO` | `getPlatformDAO()`
`protected org.hyperic.hq.appdef.shared.PlatformManagerLocal` | `getPlatformManager()`
`protected PlatformTypeDAO` | `getPlatformTypeDAO()`
`protected org.hyperic.hq.authz.shared.ResourceManagerLocal` | `getResourceManager()`
`protected ServerDAO` | `getServerDAO()`
`protected org.hyperic.hq.appdef.shared.ServerManagerLocal` | `getServerManager()`
`protected ServerTypeDAO` | `getServerTypeDAO()`
`protected ServiceDAO` | `getServiceDAO()`
`protected org.hyperic.hq.appdef.shared.ServiceManagerLocal` | `getServiceManager()`
`protected ServiceTypeDAO` | `getServiceTypeDAO()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefSessionUtil

    public AppdefSessionUtil()

Method Detail

### getCPropManager

    protected org.hyperic.hq.appdef.shared.CPropManagerLocal getCPropManager()

### getConfigManager

    protected org.hyperic.hq.appdef.shared.ConfigManagerLocal getConfigManager()

### getApplicationManager

    protected org.hyperic.hq.appdef.shared.ApplicationManagerLocal getApplicationManager()

### getPlatformManager

    protected org.hyperic.hq.appdef.shared.PlatformManagerLocal getPlatformManager()

### getServerManager

    protected org.hyperic.hq.appdef.shared.ServerManagerLocal getServerManager()

### getServiceManager

    protected org.hyperic.hq.appdef.shared.ServiceManagerLocal getServiceManager()

### getResourceManager

    protected org.hyperic.hq.authz.shared.ResourceManagerLocal getResourceManager()

### getAIQManagerLocal

    protected org.hyperic.hq.appdef.shared.AIQueueManagerLocal getAIQManagerLocal()

### getAgentDAO

    protected AgentDAO getAgentDAO()

### getConfigResponseDAO

    protected ConfigResponseDAO getConfigResponseDAO()

### getPlatformDAO

    protected PlatformDAO getPlatformDAO()

### getPlatformTypeDAO

    protected PlatformTypeDAO getPlatformTypeDAO()

### getServerDAO

    protected ServerDAO getServerDAO()

### getServerTypeDAO

    protected ServerTypeDAO getServerTypeDAO()

### getServiceTypeDAO

    protected ServiceTypeDAO getServiceTypeDAO()

### getServiceDAO

    protected ServiceDAO getServiceDAO()

### getApplicationDAO

    protected ApplicationDAO getApplicationDAO()

### findResourceType

    protected AppdefResourceType findResourceType(int appdefType,
                                                  int appdefTypeId)
                                           throws AppdefEntityNotFoundException

  Throws:
    `AppdefEntityNotFoundException`

### findResourceType

    protected AppdefResourceType findResourceType(TypeInfo info)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.